Bug 1470008 - [abrt] pyzor: decode(): codecs.py:321:decode:UnicodeDecodeError: 'utf-8' codec can't decode byte 0x85 in position 1990: invalid start byte
[abrt] pyzor: decode(): codecs.py:321:decode:UnicodeDecodeError: 'utf-8' code...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pyzor (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:dc589160daf7948b72b6d11b056...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 05:13 EDT by Matthew Saltzman
Modified: 2018-05-29 08:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.87 KB, text/plain)
2017-07-12 05:13 EDT, Matthew Saltzman
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-12 05:13 EDT, Matthew Saltzman
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2017-07-12 05:13 EDT, Matthew Saltzman
no flags Details
File: environ (1.66 KB, text/plain)
2017-07-12 05:13 EDT, Matthew Saltzman
no flags Details
File: mountinfo (3.86 KB, text/plain)
2017-07-12 05:13 EDT, Matthew Saltzman
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-12 05:13 EDT, Matthew Saltzman
no flags Details
File: open_fds (309 bytes, text/plain)
2017-07-12 05:13 EDT, Matthew Saltzman
no flags Details
Test email to reproduce the problem on FC27 using python3 (6.86 KB, message/rfc822)
2017-12-12 18:45 EST, John Damm Sørensen
no flags Details

  None (edit)
Description Matthew Saltzman 2017-07-12 05:13:39 EDT
Description of problem:
Selected several messages, right-clicked, selected Report as Spam

Version-Release number of selected component:
pyzor-1.0.0-11.20160210gitf16e1b6.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/pyzor -d report
crash_function: decode
exception_type: UnicodeDecodeError
executable:     /usr/bin/pyzor
kernel:         4.11.8-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
#1 decode in /usr/lib64/python3.6/codecs.py:321
#2 parse in /usr/lib64/python3.6/email/parser.py:54
#3 message_from_file in /usr/lib64/python3.6/email/__init__.py:54
#4 _get_input_msg in /usr/bin/pyzor:174
#5 report in /usr/bin/pyzor:303
#6 main in /usr/bin/pyzor:152
#7 <module> in /usr/bin/pyzor:429
Comment 1 Matthew Saltzman 2017-07-12 05:13:45 EDT
Created attachment 1296788 [details]
File: backtrace
Comment 2 Matthew Saltzman 2017-07-12 05:13:46 EDT
Created attachment 1296789 [details]
File: cgroup
Comment 3 Matthew Saltzman 2017-07-12 05:13:48 EDT
Created attachment 1296790 [details]
File: cpuinfo
Comment 4 Matthew Saltzman 2017-07-12 05:13:49 EDT
Created attachment 1296791 [details]
File: environ
Comment 5 Matthew Saltzman 2017-07-12 05:13:50 EDT
Created attachment 1296792 [details]
File: mountinfo
Comment 6 Matthew Saltzman 2017-07-12 05:13:51 EDT
Created attachment 1296793 [details]
File: namespaces
Comment 7 Matthew Saltzman 2017-07-12 05:13:52 EDT
Created attachment 1296794 [details]
File: open_fds
Comment 8 John Damm Sørensen 2017-12-12 18:45 EST
Created attachment 1367021 [details]
Test email to reproduce the problem on FC27 using python3
Comment 9 John Damm Sørensen 2017-12-12 18:48:06 EST
On FC27 the problem disappears when executing pyzor with python2.
Comment 10 John Damm Sørensen 2017-12-12 18:56:30 EST
Traceback (most recent call last):
  File "/usr/bin/pyzor", line 429, in <module>
    main()
  File "/usr/bin/pyzor", line 152, in main
    if not dispatch(client, servers, config):
  File "/usr/bin/pyzor", line 258, in check
    for digested in get_input_handler(style):
  File "/usr/bin/pyzor", line 174, in _get_input_msg
    msg = email.message_from_file(sys.stdin)
  File "/usr/lib64/python3.6/email/__init__.py", line 54, in message_from_file
    return Parser(*args, **kws).parse(fp)
  File "/usr/lib64/python3.6/email/parser.py", line 54, in parse
    data = fp.read(8192)
  File "/usr/lib64/python3.6/codecs.py", line 321, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x92 in position 5532: invalid start byte

Name        : pyzor
Version     : 1.0.0
Release     : 12.20160210gitf16e1b6.fc27
Architecture: noarch
Install Date: søn 19 nov 2017 16:12:43 CET
Group       : Applications/Internet
Size        : 323330
License     : GPLv2
Signature   : RSA/SHA256, lør 29 jul 2017 11:59:01 CEST, Key ID f55e7430f5282ee4
Source RPM  : pyzor-1.0.0-12.20160210gitf16e1b6.fc27.src.rpm
Build Date  : fre 28 jul 2017 21:01:21 CEST
Build Host  : buildvm-armv7-16.arm.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : https://github.com/SpamExperts/pyzor
Summary     : Collaborative spam filtering system
Comment 11 Fedora End Of Life 2018-05-03 03:59:15 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2018-05-29 08:20:35 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.